<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich"
>
    <div class="row form-horizontal">
        <div class="col-md-6">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="msInput"/>
                <ui:define name="label">#{messages['gazelle.pam.MaritalStatus']}</ui:define>
                <h:selectOneMenu value="#{patient.maritalStatus}"
                                 id="msInput" styleClass="form-control gzl-select-text">
                    <f:selectItems
                            value="#{valueSet.getListOfConcepts('HL70002')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
        <div class="col-md-6">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml">
                <ui:param name="id" value="ircInput"/>
                <ui:define name="label">#{messages['gazelle.pam.IdentityReliabilityCode']}</ui:define>
                <h:selectOneMenu value="#{patient.identityReliabilityCode}"
                                 id="ircInput" styleClass="form-control gzl-select-text">
                    <f:selectItems
                            value="#{valueSet.getListOfConcepts('HL70445')}"/>
                </h:selectOneMenu>
            </s:decorate>
        </div>
        <div class="col-md-6">
            <s:decorate template="/layout/form/_form_checkbox_horizontal_3-9.xhtml">
                <ui:define name="label">#{messages['gazelle.PAMSimulator.IsPatientDead']}</ui:define>
                <h:selectBooleanCheckbox value="#{patient.patientDead}">
                    <a4j:ajax event="change" render="deceasedDate"/>
                </h:selectBooleanCheckbox>
            </s:decorate>
        </div>
        <s:div styleClass="col-md-6" id="deceasedDate">
            <s:decorate template="/layout/form/_form_field_horizontal_3-9.xhtml"
                        rendered="#{patient.patientDead}">
                <ui:param name="id" value="deathInput"/>
                <ui:define name="label">#{messages['gazelle.PAMSimulator.DateTimeOfDecease']}</ui:define>
                <a4j:outputPanel id="deathInput" layout="block">
                    <rich:calendar value="#{patient.patientDeathTime}"
                                   locale="#{localeSelector.localeString}" datePattern="yyyy/MM/dd HH:mm:ss"
                                   showApplyButton="true">
                    </rich:calendar>
                </a4j:outputPanel>
            </s:decorate>
        </s:div>
    </div>
</ui:composition>